Skip to main content
Infrastructure/Collects
GETInfrastructureSince 1.0SynchronousAuth Required

GetPlatformMetrics

Get a single metrics collection configuration by platform and metric UUID.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • platformUuidStringRequired

    UUID of the platform that owns the metric configuration

  • metricUuidStringRequired

    UUID of the specific metrics configuration to retrieve

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

GET/api/v1/collects/platform/{platformUuid}/metric/{metricUuid}

/api/v1/collects/platform/{platformUuid}/metric/{metricUuid}

Operation ID

GetPlatformMetrics

Permalink

Request Example

curl -X GET '{host}/api/v1/collects/platform/{platformUuid}/metric/{metricUuid}' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history